/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb;

/**
 * // *
 *
 * @author <a href="mailto:bill@jboss.org">William DeCoste</a>
 * @version $Revision: 1.3.2.4 $
 */
public class EJBImpl implements javax.annotation.EJB
{
   private String beanName = "";
   private Class businessInterface = java.lang.Object.class;
   private String name = "";

   public EJBImpl()
   {
   }

   public Class businessInterface()
   {
      return businessInterface;
   }

   public void setBusinessInterface(Class businessInterface)
   {
      this.businessInterface = businessInterface;
   }

   public String name()
   {
      return name;
   }

   public void setName(String name)
   {
      this.name = name;
   }

   public String beanName()
   {
      return beanName;
   }

   public void setBeanName(String beanName)
   {
      this.beanName = beanName;
   }

   public Class annotationType()
   {
      return javax.annotation.EJB.class;
   }

   public String toString()
   {
      StringBuffer sb = new StringBuffer(100);
      sb.append("[");
      sb.append("name=").append(name);
      sb.append(",beanName=").append(beanName);
      sb.append(",businessInterface=").append(businessInterface);
      sb.append("]");
      return sb.toString();
   }
}
